import _baseGetTag_default from "./_baseGetTag.js";
import isObject_default from "./isObject.js";
var asyncTag = "[object AsyncFunction]", funcTag = "[object Function]", genTag = "[object GeneratorFunction]", proxyTag = "[object Proxy]";
function isFunction(o) {
	if (!isObject_default(o)) return !1;
	var s = _baseGetTag_default(o);
	return s == funcTag || s == genTag || s == asyncTag || s == proxyTag;
}
var isFunction_default = isFunction;
export { isFunction_default as default };
